== Changelog ==

= 0.18.1 - 2026-06-19 =
* Fix - Editing a club from the posts list (Quick Edit or Bulk Edit) no longer clears its saved details on sites migrated to the new clubs table
* Fix - Club editor - custom fields, social links, and shirt data can now be added to clubs that previously had none (a script error blocked the input fields)
* Fix - Squad player number missing in the match lineup editor when it was set only on the Active Squad roster (not on the season archive)
* Fix - Club Nationality set to "N/C America" or "South America" no longer goes blank on save (the database field was too short for those region codes); affected teams are restored automatically on update
* Fix - Coaches saved under a specific season in the club squad were missing from the match editor "Select Coach" list when the Active Staff list was empty
* Add - New "cache" attribute for the [anwpfl-matches] shortcode caches its output, so match lists shown on every page (footer, sidebar) skip repeated database queries
* Fix - Accessibility improvements for public output - better screen reader and accessibility-tree support

= 0.18.0 - 2026-05-27 =
* Performance - Clubs, competitions, standings, and squads moved from postmeta to dedicated database tables for faster page loads and better long-term maintainability
* Fix - Shortcode spacing, display, and text alignment utilities now reliably override theme styles (notably Kadence's `.entry-content` rules)
* Fix - Club, referee, and entity links built via the simple link building fast path now resolve correctly on WordPress installs in a subdirectory
* Performance - Faster sitemap generation for large sites with many matches and players
* Fix - Shortcode modal in Classic Editor missing styles
* Fix - Substitution batch import column mapping for player in/out fields
* Fix - Club card statistics counting extra yellow cards from second-yellow-to-red events
* New Feature - Active Roster - clubs now have ONE current squad you can edit without picking a season. Historical seasons live in a separate Season Squad Archive (append, replace, or clear past rosters from the same screen). [anwpfl-squad] without `season_id` renders the active roster; with `season_id` renders that season's archive.
* Add - Cleanup tab in Toolbox to remove old club and squad postmeta after migration to the new clubs table
* Update - Club season dropdown filter now derives seasons purely from match data - clubs with squad-only season data (no matches yet) will drop from the filter, add a match or assign the club to the filter manually
* Add - Custom title and value fields in club CSV import (Data Import tool)
* Fix - WordPress 7.0 admin compatibility - button icon alignment and modal dialog stacking (Shortcode Builder, FL Selector)
* Update - Tested with WordPress 7.0.

= 0.17.2 - 2026-02-06 =
* Fix - Import tool now correctly maps pasted team/country/position names to IDs

= 0.17.1 - 2026-01-22 =
* Fix - Some SVG icons not displaying correctly

= 0.17.0 - 2026-01-20 =
* Update - Shortcode Builder with collapsible sections and modern field layout
* Add - Live preview panel in Shortcode Builder with width toggle
* Add - Parse existing shortcode to populate form fields
* Update - Admin menu reorganization
* Update - Improved Data Import tool with batch mode for match events and better UX

= 0.16.19 - 2025-08-30 =
* Add - FL Selector date field on Match search
* Fix - Minor fixes

= 0.16.18 - 2025-08-11 =
* Fix - FL Selector problem with non-Latin characters in Search field
* Update - Accessibility improvements

= 0.16.17 - 2025-07-26 =
* Add - New version of FL Selector

= 0.16.16.1 - 2025-06-03 =
* Fix - Squad table-rows layout in mobile view

= 0.16.16 - 2025-06-03 =
* Add - Option in Squad to show/hide age/birth date/nationality (Customizer > Football Leagues > Squad)
* Update - Plugin caching system with object cache support and automatic detection
* Performance - Minor performance improvements
* Update - Syria flag (rounded flags)
* Update - Game Edit custom numbers auto-fill on adding player to lineups

= 0.16.15 - 2025-05-08 =
* Add - New option Simple Permalink Slug Building (BETA)
* Performance - Minor performance improvements

= 0.16.14 - 2025-03-24 =
* Add - Tool to update player's Current Team based on the last game played
* Add - Option to show player's current team by last game with save/fix in Player Profile
* Add - Customizer option to change default home/away team colors in statistics

= 0.16.13 - 2025-02-26 =
* Add - New Gutenberg block FL Games

= 0.16.12 - 2025-01-27 =
* Update - Game Substitutes improved in mobile view
* Add - Filters on selecting a league in the Competition edit page
* Fix - Incorrect and duplicated Competition title (secondary stage) in the Game header

= 0.16.11 - 2024-12-09 =
* Add - Player All Season with season combine options if many seasons
* Fix - Duplicated stage title
* Fix - Game team stats with 0 is not shown
* Fix - Not finished games affect player statistics
* Fix - Data Import error on Player update with custom fields only
* Update - Game outcome label (highlighted score)
* Add - Red card in game slim layout (right after team name)
* Add - Staff Current Team display options (by value, hide, last game)
* Update - Cards Shortcode added support for several club IDs in club_id argument
* Update - Player Statistics removed zeros for better readability

= 0.16.10 - 2024-10-31 =
* Fix - Inline search on Standing Setup in Select Competition Group
* Add - Admin Club players per page option in Attach Player to Squad

= 0.16.9 - 2024-10-25 =
* Add - Custom squad status
* Fix - Safari 18 conflict with WordPress classic editor layout

= 0.16.8 - 2024-09-18 =
* Fix - Security fix
* Fix - Minor fixes

= 0.16.7 - 2024-08-22 =
* Add - New admin Competition UI
* Add - Possibility to fix incorrect status (official/friendly) of the games
* Update - Admin UI code has been rewritten

= 0.16.6 - 2024-06-12 =
* Add - New Gutenberg Block Cards (based on Cards shortcode)
* Fix - Minor fixes

= 0.16.5 - 2024-04-30 =
* Add - Option to hide migration notice

= 0.16.4 - 2024-04-10 =
* Fix - Game list footer show penalties scores if extra time is not set
* Fix - Updated Twitter icon in Player and Club profile
* Fix - Referee saving on Data Import tool
* Add - Option to show Player's Current Club based on the last game (Customizer >> Football Leagues >> Player & Staff)

= 0.16.3 - 2024-02-20 =
* Fix - Game Edit admin show save button on mobile
* Fix - Game status penalties if extra time is not set
* Fix - Errors in Game Missed Penalties
* Fix - Lineup data migration of non-existent games (removed)
* Fix - Show multiple player nationalities in Squad section and Players shortcode

= 0.16.2 - 2024-02-09 =
* Fix - Problem with rendering default player photo on Birthdays
* Fix - Problem with rendering player's age in the Player Header
* Update - Migration process added possibility to show subtask IDs and skip current subtask ID
* Fix - Colors in the circle flag of Kazakhstan

= 0.16.1 - 2024-02-08 =
* Fix - Migration issues with too long lineups
* Fix - Migration problem with too long events list
* Fix - Incorrect referee's games rendering on the Referee Page
* Fix - Missing temp players in the game lineups
* Fix - Date of death incorrectly calculated in some cases

= 0.16.0 - 2024-02-06 =
* Add - New database structure (migration process required to complete the update)
* Update - Increased minimal version to PHP 7.0
* Performance - Performance improvements
* Add - New circle flags from HatScripts/circle-flags
* Update - Data Import tool
* Update - Moved player metadata from postmeta to new player_data table
* Update - Moved games metadata from postmeta to matches table
* Update - Moved lineups from postmeta to the new lineups table

= 0.15.2 - 2023-07-30 =
* Fix - Video loading problem in some mobile browsers
* Fix - Problem on creating game with active Rank Math SEO plugin

= 0.15.1 - 2023-07-01 =
* Add - New Gutenberg Block Competition Header (based on Competition Header shortcode)
* Add - New Gutenberg Blocks Last and Next Game with new arguments (max logo width, offset, transparent background)
* Add - New Gutenberg Block Game Countdown
* Add - New Gutenberg Block Teams
* Fix - JS errors with JetPack Boost Concatenate JS active option
* Fix - Load more in Matches shortcode days_offset_to and days_offset arguments are ignored
* Update - %kickoff% in Match title generation rules uses plugin date format

= 0.15.0 - 2023-06-13 =
* Fix - Edit Stadium autocomplete places and addresses
* Add - Customizer option to load stadium map after user approval
* Performance - Load scripts only on required pages (Plyr)
* Update - JS script to load native YT player
* Update - JavaScript files rewritten to remove jQuery dependency
* Update - Game kickoff countdown changed from flipped to simple
* Add - Season dropdown switcher in the Competition header
* Add - Load more argument in Matches shortcode
* Add - Load more button under Fixtures and Latest Matches sections on the Club Page
* Add - Subteams functionality

= 0.14.15 - 2023-03-12 =
* Fix - Youtube video not visible
* Fix - Additional temporary referee name is not displayed

= 0.14.14 - 2023-03-10 =
* Update - Matches shortcode group by competition order and sorting
* Add - Support for custom countries (Settings & Tools >> Settings >> Custom Fields)
* Update - Standing table added initial sorting by team name

= 0.14.13 - 2023-02-06 =
* Update - Widget Birthdays hide birthdays for players with filled date of death

= 0.14.12 - 2023-01-09 =
* Fix - Data Import tool problem with temporary players import

= 0.14.11 - 2022-11-06 =
* Fix - Player all seasons block season sorting
* Fix - Minor fixes

= 0.14.10 - 2022-10-19 =
* Add - All Seasons page in Player profile
* Update - Stats Totals blocks for All Seasons
* Add - Customizer option to select team Abbreviation or Full name in Simple and Modern Match List layout

= 0.14.9 - 2022-09-15 =
* Add - New Customizer option Competition Title in Competition Header

= 0.14.8 - 2022-09-02 =
* Fix - Show Fourth official referee finished games
* Fix - Display temporary players in Penalty Shootout

= 0.14.7 - 2022-07-30 =
* Fix - Show non-standard Referee's countries (England, Wales, etc.)

= 0.14.6 - 2022-06-28 =
* Add - New Game special status Match Cancelled
* Fix - Game Lineups Captain badge on a temporary player

= 0.14.5 - 2022-05-30 =
* Add - Data Import tool Custom Fields in Club, Referee, Stadium
* Add - Data Import tool Staff import
* Update - Thumbnails (player, staff, referee) and logos (club, competition) available on site search page
* Add - Squad option to disable Group By Position
* Update - Match Edit Referee selector improvements
* Add - Match Edit possibility to add Referee and Coach as text string
* Add - Match Edit possibility to select a Temporary player as Captain

= 0.14.4 - 2022-04-20 =
* Add - Additional Referees and Fourth official games on the Referee page
* Add - Custom color option in Standing Table Colors
* Add - Possibility to load Initial Standing Table data from another table

= 0.14.3 - 2022-04-03 =
* Fix - Season selector at the Referee's page
* Fix - Rendering non-Latin characters in Game temporary player
* Fix - Game temp players mixing after save
* Fix - Error conflict with Avada Page Builder
* Add - Customizer option Kickoff Section Minimum Width in Match List
* Fix - Rendering default empty logo when team logo is not set
* Update - Squad rows block mobile layout
* Add - Date of Death field in Staff and Referee

= 0.14.2 - 2022-03-24 =
* Add - Option to add a player to a game as a text string without saving into database
* Add - Data Import tool Referee ID and Referee External ID
* Add - Data Import Tool Matches, Goals, Cards, Substitutes, and Lineups import
* Fix - Minor fixes

= 0.14.1 - 2022-03-17 =
* Fix - Standing table color CSS classes
* Fix - Data Import tool Clubs
* Add - Game Club captain
* Add - Game Lineups minutes in events (Customizer >> FL >> Match >> Minutes in Lineups Events)
* Fix - Minor fixes

= 0.14.0 - 2022-03-16 =
* Add - New CSS classes to most template files
* Add - Special integration with SiteOrigin CSS for easy customizing
* Update - Removed IE support (CSS styles and some scripts)
* Performance - Optimized and removed unused CSS styles (main CSS file size reduced ~300%)
* Performance - Loading scripts only on required pages (Justified gallery + Featherlight)
* Update - Rewrote all plugin templates with new classes and better mobile support
* Fix - Staff photos in Birthday widget/shortcode
* Update - Most plugin display settings moved to the Customizer
* Add - Data Import tool Club ID and Club External ID in Clubs import
* Add - Data Import tool Stadiums Import

= 0.13.7 - 2022-01-06 =
* Add - Possibility to add Manual player's statistics
* Fix - Next Match widget show game from today and newer
* Fix - Players shortcode incorrect goals calculation with own goals

= 0.13.6 - 2021-12-17 =
* Fix - Players shortcode incorrect number of goals and assists when game lineups not set

= 0.13.5 - 2021-12-14 =
* Update - Shortcode and widget Players (scorers & assistants)
* Fix - Minor fixes

= 0.13.4 - 2021-12-10 =
* Fix - Rendering Referee list in the Game edit page

= 0.13.3 - 2021-12-10 =
* Add - Assistant Referee games at the Referee page
* Add - Plugin Caching System for complex queries with automatic cache invalidation

= 0.13.2 - 2021-10-18 =
* Add - Plugin Health page to check common problems

= 0.13.1 - 2021-10-08 =
* Add - Data Import player Bio field
* Tweak - Minor improvements

= 0.13.0 - 2021-10-04 =
* Add - Game edit page squad number in the player selector
* Performance - Minor performance improvements
* Add - WebP image support in gallery

= 0.12.7 - 2021-08-01 =
* Update - Game Edit UI (new lineup player selector, updated game events table and selector, special submenu)
* Update - Import Data UI
* Add - New fields in Import Data UI Player: full_name, national_team, country_of_birth, date_of_death
* Fix - Error on loading team squad to edit with fully removed player
* Add - Next and Last Match shortcodes (same as existing widgets)

= 0.12.6 - 2021-06-19 =
* Update - Club edit page UI
* Add - Option to change player current club in Squad

= 0.12.5 - 2021-06-07 =
* Update - Club Squad admin UI
* Add - Data Import Club National Team option
* Add - home_club and away_club arguments in Matches shortcode

= 0.12.4 - 2021-05-21 =
* Add - New Staff and Referee shortcodes
* Add - Option to count in player statistics Yellow + Yellow/Red as Red card only

= 0.12.3 - 2021-04-28 =
* Add - Option to override Countries translations
* Add - Option How to count in statistics second yellow > red card
* Add - New shortcode and widget Competition List

= 0.12.2 - 2021-04-07 =
* Add - National team option in Club and Player

= 0.12.1 - 2021-03-22 =
* Fix - Date picker not working in the Match edit page

= 0.12.0 - 2021-03-21 =
* Fix - Matches shortcode grouping header text (day and month) is not localized
* Add - New socials in Player's and Club's profile: TikTok, VK, LinkedIn
* Add - Possibility to create new League and Season at the Competition edit page
* Update - Process of creating multi-stage Competition
* Add - Player new field External ID for import updates
* Add - CSV export for players
* Add - Support for dynamic custom fields in Batch Import Players
* Add - New fields in Batch Import Players: Player ID and Player External ID

= 0.11.15 - 2021-02-27 =
* Add - New Player option Date of Death
* Add - Referee support for Hide not used seasons option in Seasons Dropdown
* Add - Competition selector in widgets
* Add - league_id argument in FL Matches shortcode
* Add - New arguments in Matches widget: league_id, season_id, exclude_ids, include_ids, date_from, date_to, days_offset, days_offset_to
* Add - Option to show all referees in Match slim layout
* Update - FL Matches widget competition_id argument is now optional
* Fix - Assistant link in Game Goals block
* Update - Logic of cards calculation in Referee Finished games

= 0.11.14 - 2021-01-26 =
* Add - Referee Finished games and Upcoming games

= 0.11.13 - 2021-01-14 =
* Update - CSS Styles added prefixes to grid classes to prevent conflicts with some themes
* Add - Referees block in Match Shortcode
* Add - hide_zero argument in Players shortcode
* Add - Possibility to choose Match ID in AnWP Selector
* Add - Data Import referees

= 0.11.12 - 2021-01-07 =
* Add - Initial Standing Table data

= 0.11.11 - 2020-12-29 =
* Fix - Video rendering error in some cases

= 0.11.10 - 2020-12-29 =
* Add - YouTube default player
* Fix - Shortcodes button in Classic Editor

= 0.11.9 - 2020-12-12 =
* Fix - Some scripts not work in WordPress 5.6 in Firefox

= 0.11.8 - 2020-12-07 =
* Add - New Special Status field in Match edit with Match Postponed and Time To Be Defined options
* Add - Totals row in player stats (if more than one competition)
* Add - Club shortcode
* Update - AnWP Selector (used in plugin widgets to select players and clubs)

= 0.11.7 - 2020-10-26 =
* Add - Support for several competition IDs in Matches shortcode
* Add - Player ID selector in FL Player widget, Player Card and Player Data shortcodes
* Add - New shortcode Player Data
* Fix - Incorrect logic of days_offset and days_offset_to params in Matches shortcode in some cases

= 0.11.6 - 2020-10-13 =
* Add - Player's social links
* Add - New options in Match shortcode club_last and club_next
* Add - New options in Squad shortcode header, layout, and layout_block_columns
* Add - New Settings option Hide not used seasons in the Seasons Dropdown

= 0.11.5 - 2020-09-09 =
* Add - Clone Competition action
* Add - Some system strings (cards, text in flipped countdown) to translatable options
* Fix - Rendering Coach block in Match shortcode
* Fix - Minor fixes

= 0.11.4 - 2020-07-19 =
* Add - New Match block Missing Players
* Add - New Player block Missed Matches

= 0.11.3 - 2020-07-13 =
* Add - Option to hide/display plugin instances in frontend search results
* Add - Possibility to set custom outcome

= 0.11.2 - 2020-06-29 =
* Add - Action to clone Standing Table options
* Add - show_header option in Match shortcode (default is 1)
* Add - title option in Competition Header shortcode for custom title
* Add - Linked Standings in Competitions admin list
* Add - show_notes option in Standing shortcode and widget (default is 1)
* Add - Possibility to show Referee and Stadium in Match List item bottom line
* Add - Match Edit possibility to edit Game Events
* Add - Match Edit assistants for own goal
* Add - Match Edit Stadium field improvements (autocomplete and default option)
* Update - On Standing Table create only round-robin competitions without linked Standing Tables available
* Fix - Match shortcode can be used for upcoming matches

= 0.11.1 - 2020-05-14 =
* Fix - Long club name breaks Match list mobile layout

= 0.11.0 - 2020-05-12 =
* Add - include_ids option in Clubs widget
* Add - Player country of birth
* Add - Option for opposite club name in Player Latest Matches: abbreviation or full name
* Add - Alternative translations for Outcome Letters (W, D, L) in Text Strings
* Add - Referee in Next Match widget
* Update - Match list mobile layout

= 0.10.23 - 2020-04-23 =
* Add - include_ids option in Clubs shortcode
* Add - Possibility to translate all frontend text strings from plugin admin
* Add - Custom default club logo option (Settings & Tools >> Settings >> Display >> Club)
* Add - partial option in Standing Table shortcode and widget for partial table data
* Add - bottom_link option in Standing Table for link to Competition or Full Standing Table
* Add - outcome_id option in Matches shortcode to show outcome label

= 0.10.22 - 2020-03-24 =
* Add - Admin RTL styles
* Add - Video review widget
* Fix - Rendering non-Latin characters in round and group titles
* Fix - Removing old match events in some cases

= 0.10.21 - 2020-03-02 =
* Add - Photos Gallery in Match
* Add - Additional videos in Match
* Update - Photo Gallery styles

= 0.10.20 - 2020-02-24 =
* Add - RTL support (remove any previously entered RTL CSS fixes from Customizer >> Additional CSS)
* Fix - Birthdays incorrect age calculations on some servers
* Tweak - Minor style fixes

= 0.10.19 - 2020-02-17 =
* Add - Birthdays widget
* Add - Possibility to add additional referees
* Add - Filter by match status (fixture, result) in admin list of matches
* Add - Filter by League and Season in Standing Tables admin list
* Add - Filter by League and Season in Competitions admin list
* Fix - Incorrect game time calculation if server timezone differs from UTC

= 0.10.18 - 2020-01-12 =
* Add - New option in Matches shortcode: group_by="competition"
* Add - New options in Matches shortcode: include_ids and exclude_ids
* Add - Additional current clubs for Staff
* Tweak - Minor style changes in Match Lineups block
* Performance - Improved memory usage on edit Club

= 0.10.17 - 2020-01-02 =
* Add - Home Clubs option in Stadium
* Add - Dynamic Custom Fields for player, club, stadium, staff and referee
* Add - exclude Match IDs option in Last and Next Match widget
* Add - New parameter in Matches shortcode days_offset_to
* Fix - (no title) in Competition and Match menu titles
* Update - Clubs Selector in Competition
* Update - Custom fields filter shortcodes through their hooks

= 0.10.16 - 2019-11-13 =
* Add - Autocomplete on selecting referees, stadiums, and clubs
* Update - Compatibility with admin styles in WordPress 5.3

= 0.10.15 - 2019-10-31 =
* Add - Option to use monospace font in Standing table numbers
* Add - Option Match slug generated with (club title/club slug)
* Update - Language files
* Fix - Minor fixes

= 0.10.14 - 2019-10-14 =
* Add - Match title generator
* Tweak - Minor improvements

= 0.10.13 - 2019-10-05 =
* Add - group_id parameter in Matches shortcode
* Add - Last Match widget
* Add - New options in Next Match widget: show club name and match link text
* Add - Club social
* Fix - Incorrect conceded goals calculation for goalkeepers if opposite team lineup empty

= 0.10.12 - 2019-09-24 =
* Add - compact option in the players shortcode
* Fix - Danger placeholder in standing table notes
* Fix - Duplicate content in Divi themes (sometimes)
* Update - Players shortcode transform layout on small screens
* Update - Countdown timer now based on website time (not user time)
* Update - Minimum PHP version to 5.6

= 0.10.11 - 2019-07-27 =
* Update - Match list layouts simple and modern (used in widget Matches)
* Add - Option to show or hide club name in widget Matches
* Add - Text placeholder for colors in Standing table notes

= 0.10.10 - 2019-07-19 =
* Add - Option to change number of columns in squad blocks layout

= 0.10.9 - 2019-07-08 =
* Add - Thumbnail images for clubs, players, staff, referees, stadiums at archive page
* Add - Club abbreviation used by default in Standing table Mini layout (widget)
* Add - Option to filter Competitions by active season on Match creation
* Add - Option to show Club name in Clubs widget and shortcode
* Add - Galleries for player and club (media tab)
* Fix - select2 style conflict with themes and plugins built on Redux Framework
* Fix - Rendering 0 on empty matchweek in game header
* Update - Dependent libs

= 0.10.8 - 2019-05-13 =
* Add - Option to change permalink base slugs
* Add - Shortcode builder (Football Leagues >> Shortcodes >> Shortcode Builder tab)
* Add - Shortcode documentation How To's
* Update - Shortcode UI helper for Classic editor
* Update - Admin UI for Match and Squad edit page
* Update - JS scripts (remove Bootstrap 4 JS, changed tooltips library to Tippy, changed season dropdown)

= 0.10.7 - 2019-04-13 =
* Add - Date from/to filter in match admin list
* Add - Available shortcodes page into plugin
* Add - Brazilian (Portuguese) language (thanks to Marcelo)
* Add - Spanish language (thanks to Màxim)
* Fix - Minor bug fixes

= 0.10.6 - 2019-04-09 =
* Add - SVG image support (can be used as Club logo)
* Add - Next Match widget
* Add - Option to hide post title for Match and Competition (activated by default)

= 0.10.5 - 2019-04-01 =
* Fix - Fail DB tables creation on init on some hostings
* Fix - Minor fixes and code improvements

= 0.10.4 - 2019-03-21 =
* Fix - Styles in FL Matches widget

= 0.10.3 - 2019-03-21 =
* Add - Multisite support
* Update - Block headers improved and unified
* Update - Match slim layout: hover effect, all block as a link, removed clubs link
* Add - date_from and date_to params to the matches shortcode (format YYYY-MM-DD)
* Fix - Minor fixes

= 0.10.2 - 2019-03-10 =
* Add - Players dropdown live filter (match edit)
* Add - Sorting option for player dropdown (on match edit page)

= 0.10.1 - 2019-03-03 =
* Fix - Error with not rendering players in match event after save
* Add - Cards in the match statistic block
* Add - Custom Match title separator option
* Fix - Some not translated strings

= 0.10.0 - 2019-03-03 =
* Add - Round support for knockout competitions
* Update - Admin UI on the Competition edit page
* Update - Clubs selector on the Competition page
* Update - Admin UI on Match (creating and editing)
* Add - Option to edit Match structure
* Add - Country option in the Leagues

= 0.9.2 - 2019-02-22 =
* Update - Compatibility with WordPress 5.1
* Update - Included libs (Bootstrap, Plyr)
* Add - Greek language (thanks to @spirossm)
* Fix - Minor bug fixes

= 0.9.1 - 2019-02-03 =
* Fix - Missing quote in standing shortcode
* Update - Minimum PHP version to 5.5
* Tweak - Minor styles improvements

= 0.9.0 - 2019-01-15 =
* Add - Main color for Club (used in stats bars)
* Add - Option to override player positions text in plugin settings
* Add - Option in Cards widget to hide points column
* Update - Admin UI (metaboxes)
* Update - Included dependencies
* Fix - Minor fixes; performance, code and styles improvements

= 0.8.5 - 2018-12-23 =
* Add - Matchweek sorting option in Matches shortcode
* Add - Competition logo in match list
* Add - Options for custom match date and time format
* Update - Hide not published stadium from match header
* Performance - Improved players caching
* Fix - Minor fixes and improvements

= 0.8.4 - 2018-12-12 =
* Add - exclude_ids option in Standing shortcode and widget
* Update - Club template structure
* Fix - Incorrect conceded goals in stats for away team if home squad not set
* Update - Overflow scrollbar library
* Update - If active season isn't set, latest term is used
* Fix - Error in PHP < 5.5

= 0.8.3 - 2018-12-02 =
* Add - Player shortcode (same as widget)
* Add - Club option in the Player widget and shortcode
* Add - Default player photo option
* Add - Shortcodes button in the Gutenberg Classic block
* Add - German language (thanks to Jörg)
* Update - Template files for Player

= 0.8.2 - 2018-11-19 =
* Add - Batch import/creation tool for clubs and players
* Fix - Loading admin scripts in some non-English sites
* Fix - Penalty shootout sorting

= 0.8.1 - 2018-11-11 =
* Update - Player statistics (added icons instead of texts, added stats for goalkeepers, fixed error on calculating own goals, improved recalculation speed)
* Add - Custom round-robin format option
* Add - Player short name used instead of full in most templates
* Update - Language files
* Update - After this update required to recalculate stats

= 0.8.0 - 2018-11-03 =
* Add - Player widget
* Add - Option to override Matchweek text
* Add - Custom content metabox for most instances: Match, Club, Competition, Player, Stadium
* Add - Page about premium version
* Update - Tutorials page
* Fix - Icons style error with some icon fonts
* Fix - Hide zero (not set) minute in Match events
* Fix - Minor fixes and improvements

= 0.7.5 - 2018-10-21 =
* Add - Ability to change match duration (full and extra time)
* Update - Time format now set from WP settings (Settings > General > Time Format)
* Update - Club abbreviation used by default in match list widgets
* Update - Text truncate in widgets (when column is too narrow)
* Add - Many filters and actions into code (for developers)
* Fix - Minor fixes and improvements

= 0.7.4 - 2018-10-08 =
* Add - Club Kit image option in club
* Add - Cards shortcode
* Add - New options in Cards widget (sort by points, hide with zero, link below widget)
* Add - New option in Competition Header shortcode (title as a link)
* Fix - SVG icons rendering in IE
* Add - Translation to Romanian
* Fix - Minor fixes and improvements

= 0.7.3 - 2018-09-25 =
* Add - Referees support
* Add - Cards Widget
* Add - Ability to change player number for match
* Update - Interface in admin Match screen
* Add - Ability to attach coaches to match
* Update - Competition tabs layout (buttons instead of tabs)
* Update - Match template structure
* Update - Goals and cards added to player stats even if empty lineups
* Add - Option to load alternative page template (plugin settings)
* Add - Translation to Italian and Slovenian
* Fix - Minor fixes and improvements

= 0.7.2 - 2018-09-18 =
* Update - Competition layout (changed grouping for multistage competitions)
* Update - Standing Table layout (especially for phones and laptops)
* Update - Support for Twentysixteen theme (added special layout)
* Fix - Minor fixes and improvements

= 0.7.1 - 2018-09-07 =
* Fix - Error on PHP < 7.0

= 0.7.0 - 2018-09-07 =
* Add - Staff members
* Add - Draggable sorting for the squad, match players and events in admin
* Add - Custom fields for club and stadium
* Add - Rendering extra minutes for cards, goals, substitutes and missed penalties in Match
* Fix - Minor fixes and improvements

= 0.6.6 - 2018-08-19 =
* Fix - Error on recalculating stats

= 0.6.5 - 2018-08-18 =
* Add - French translation (thanks to @belgofoot)
* Add - Custom fields in the player
* Add - Match video section (supported Media Gallery, Youtube or Vimeo)
* Add - Penalty shootout section in the match
* Add - Aggregate text for matches (useful for knockout)
* Add - Half time and full time (if extra time) score in match header
* Add - Notes about match extra time and penalties (in list and single match)
* Fix - Incorrect minutes calculation on getting red card on the bench (match resave needed)
* Fix - Player minutes after halftime substitution (1 min correction)
* Fix - Matchweek not translation ready in widgets and shortcode
* Fix - Incorrect flags (Curaçao, Kosovo)
* Update - Default table style for better compatibility
* Fix - Incorrect (manually entered) player's date of birth crashes pages

= 0.6.4 - 2018-07-21 =
* Fix - Support page rendering on PHP < 7.0
* Fix - JS error on edit stadium without saved Google Maps API key
* Add - Tooltip with country name on flag hover
* Add - Options to show/hide matches blocks on stadium page
* Add - Lightbox gallery for stadium photos
* Update - Bootstrap 4 to the latest version (4.1.2)
* Fix - Parsing shortcodes in match description
* Add - Text caption under the player photo (on the Player page)
* Add - Option to hide/show player photo caption
* Add - Attendance in the match header
* Add - Danish translation (thanks to @cbdk)

= 0.6.3 - 2018-07-17 =
* Fix - Minor fixes in countries and flags (thanks to @belgofoot)

= 0.6.2 - 2018-07-10 =
* Fix - Styling issues in IE (clubs and matches widget)
* Fix - Rendering localized date for non-english sites in some layouts
* Update - Mobile layouts
* Update - Minor issues in templates

= 0.6.1 - 2018-07-07 =
* Add - Match shortcode

= 0.6.0 - 2018-05-22 =
* Update - Compatibility with 3rd party themes
* Update - Bootstrap to version 4.1.1
* Add - Polish language (thanks to @forzza)

= 0.5.7 - 2018-05-01 =
* Fix - Player match time calculation in stats (after red card)
* Add - New icon for goal from penalty
* Add - Section Missed Penalties in finished match
* Update - After this update required to recalculate players statistic

= 0.5.6 - 2018-04-22 =
* Fix - Player match time calculation in stats
* Fix - Error with displaying incorrect card type in player profile
* Update - Bootstrap to the latest version
* Update - After this update required to recalculate players statistic

= 0.5.5 - 2018-04-09 =
* Update - Translation ready status
* Add - Russian language
* Fix - Several bugs
* Tweak - Minor improvements

= 0.5.4 - 2018-03-30 =
* Add - Shortcodes dropdown list in WP editor
* Fix - Bugs in PHP 5.4
* Fix - Minor fixes

= 0.5.3 - 2018-03-28 =
* Add - Option to disable Bootstrap 4 files (useful if theme already has them)
* Add - Matchweek filter in matches admin table
* Fix - Bug in Competition Header shortcode with displaying several seasons
* Fix - Bug with incorrect automatic match title (thanks to forzza)
* Fix - Compatibility with PHP below 5.6 (thanks to forzza)
* Tweak - Minor usability fixes

= 0.5.2 - 2018-03-23 =
* Fix - Bug with rendering club form in standing table (resave needed)

= 0.5.1 - 2018-03-23 =
* Add - Competition header shortcode
* Add - Players shortcode and widget (scorers and assists)
* Add - Club form in standing table
* Add - Notes below standing table
* Update - Standing table rendering
* Update - Clubs shortcode and widget (added grid layout)
* Update - Stadium page (new fields, gallery, latest matches and fixtures)
* Fix - Bug with initial points calculation
* Fix - Minor and bug fixes

= 0.5.0 - 2018-03-15 =
* Add - Automatic players statistic calculations (according to match lineups and events)
* Update - Player page: season stats summary, matches table with stats, season dropdown selector
* Add - SQUAD shortcode
* Add - Squad table layout set as default
* Add - Season selector in club
* Add - Latest matches and fixtures in club page
* Add - Flipped countdown in match fixture page
* Add - Latest matches with club form in match fixture page
* Add - Standing table colors for selected place or selected club
* Fix - Minor and bug fixes
* Update - After this update required to recalculate players statistic

= 0.4.5 - 2018-03-07 =
* Add - Multiseason support for competition
* Add - Season selector in match
* Update - Admin interface for match, club and season
* Fix - Minor and bug fixes

= 0.4.4 - 2018-03-04 =
* Add - New options in Matches widget and shortcode
* Add - Modern layout in Matches widget
* Add - Tooltips in standing table
* Update - Competition content layouts
* Update - Club logos rendering in match list
* Fix - Disable TGMPA class if already exists to prevent conflict

= 0.4.3 - 2018-02-25 =
* Add - Clubs widget and shortcode
* Add - Matches widget and shortcode
* Fix - Minor fixes

= 0.4.2 - 2018-02-17 =
* Update - Multistage competition workflow
* Add - Default competition template (changeable in Display Options metabox)
* Fix - Minor fixes
* Update - After this update required to resave all multistage competitions and recalculate match statistic

= 0.4.1 - 2018-02-15 =
* Update - Documentation
* Add - Admin new player status on trial
* Add - Admin club filter in players
* Update - Admin club selector in competition
* Update - Admin match event modal
* Update - Admin replaced modal lib (for better IE compatibility)
* Add - Club squad badges for players on loan
* Update - Hide players with trial and left status in squad
* Fix - Minor fixes

= 0.4.0 - 2018-02-11 =
* Add - Initial public release
